# Get hosting order number

Returns the specified phone number belonging to the specified hosting order.

Endpoint: GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/numbers/{phoneNumber}
Version: 1.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    Found on your [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/project-management). Settings > Projects.

  - `hostingOrderId` (string, required)
    Found on your [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/project-management). Settings > Projects.

  - `phoneNumber` (string, required)
    The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading `+`.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `projectId` (string)
    The project ID to which the number belongs.
    Example: YOUR_project_id

  - `hostingOrderId` (string)
    The ID of the hosting order to which the number belongs.
    Example: YOUR_hosting_order_id

  - `phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: +12025550134

  - `osrUpdate` (object)
    An object containing information about the OSR update.

  - `osrUpdate.nnid` (string)
    The Net Number ID identifying the phone number.

  - `osrUpdate.state` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `campaignProvisioning` (object)
    An object containing information about campaign provisioning.

  - `campaignProvisioning.campaignId` (string)
    The campaign ID to which the hosting order is associated.
    Example: YOUR_campaign_id

  - `platformProvisioning` (object)
    An object containing information related to the provisioning on the platform.

  - `platformProvisioning.servicePlanId` (string)
    The service plan ID to which the hosting order number is associated.
    Example: YOUR_service_plan_id

  - `smsAtt` (object)
    Contains information about hosted SMS AT&T numbers.

  - `smsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `smsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `smsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: 2025-04-02T19:45:28.650924Z

  - `smsTmo` (object)
    Contains information about hosted SMS T-Mobile numbers.

  - `mmsAtt` (object)
    Contains information about hosted MMS AT&T numbers.

  - `mmsTmo` (object)
    Contains information about hosted MMS T-Mobile numbers.

## Response 404:

  - `404` (unknown)
    NOT FOUND: The resource could not be found.

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

## Response 500:

  - `500` (unknown)
    INTERNAL: Internal server error. Typically, a server bug.

## Response 500 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

